SHEBANG
# Copyright @BABOLO (C)2013 http://www.babolo.ru/
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Id: stop.m4,v 1.1 2013/01/14 20:26:09 babolo Exp $

getjailnum() {
    ${jls} |\
    ${awk} "(\$2 == \"${ipadr}\") && (\$3 == \"${hname}\") && (\$4 == \"${JAILUPDIR}/${path}\"){print \$1}"
}

JNTROST(vhost, path, hname, ipadr, nice, p1, p2, p3, p4, p5, p6, p7, p8, p9)

if  [ -n "`getjailnum`" ]; then
    for i in "${JAILUPDIR}/${path}/var/run/*.pid; do
        exe=${i##*/}
        ${jun_ctl} termpid "[^ ]*${exe%.pid}" "${i}"
    done
fi
${sleep} 4
for i in `getjailnum`; do
    ${sysjail} -R jid=${i}
done
